require_relative "lib/version"
# require_relative "lib/constants"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = "updated dependencies, updated use of the URI module."
  s.description = "creates a glossary from HTML"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~html2index~.collect{|f| 'bin/' << f} + %w~version.rb argparser.rb configuration.rb constants.rb dictionary.rb html2index.rb logging.rb translating.rb user_input.rb definition.rb file_checking.rb log.conf template.rb translations~.collect{|f| 'lib/' << f} + %w~html2index.gemspec~.collect{|f|f} + %w~html/html2index.html man/html2index.1.gz pdf/html2index.pdf rst/html2index.rst~.collect{|f| 'doc/' << f}
  s.homepage    = 'http://www.souris-libre.fr'
  s.requirements = 'nokogiri, ruby-filemagic'
  s.add_runtime_dependency 'nokogiri', '~> 1.10', '>= 1.10.9'
  s.add_runtime_dependency 'ruby-filemagic', '~> 0.7', '>= 0.7.2'
  s.executables = 'html2index'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.7.1'
end
